Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225438 - HTS: "hts plan" won't detect usb device (CDROM, key, etc)
Summary: HTS: "hts plan" won't detect usb device (CDROM, key, etc)
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests)
Version: 5
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Greg Nichols
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-30 16:55 UTC by Danny Trinh
Modified: 2008-07-16 21:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-06 17:43:43 UTC


Attachments (Terms of Use)
hal-device output with USB CDROM plugin (deleted)
2007-02-06 15:52 UTC, Danny Trinh
no flags Details
hal-device output with USB key plugin (deleted)
2007-02-06 15:56 UTC, Danny Trinh
no flags Details

Description Danny Trinh 2007-01-30 16:55:47 UTC
Description of problem:

When running hts plan on the system with usb cdrom attached, the hts won't 
detect usb cdrom to have cdrom test in the test list.

Version-Release number of selected component (if applicable):

rhel5 hts version 21

How reproducible:


Steps to Reproduce:

1. Install rhel5 RC snapshot 7 with Virtualization capability onto system under 
test with usb cdrom drive attached.
2. Install HTS R21 + dependents.  
3. On system under test ----> hts plan ----> hts certify ---> no cdrom test

  
Actual results: no cdrom test for usb cdrom


Expected results: to have usb cdrom as rhel4 rhr2 test suite


Additional info:

Comment 1 Danny Trinh 2007-02-05 16:58:46 UTC
"hts plan" didn't detect USB key(s) also. HTS R22 did the same.


Comment 2 Greg Nichols 2007-02-06 14:01:18 UTC
please run "hal-device > hal.txt" with the cdrom plugged in and
attach the results.

Also, what type of device is the USB "key"?  Flash memory?

- Thanks!

Comment 3 Danny Trinh 2007-02-06 15:52:07 UTC
Created attachment 147474 [details]
hal-device output with USB CDROM plugin

Comment 4 Danny Trinh 2007-02-06 15:56:28 UTC
Created attachment 147476 [details]
hal-device output with USB key plugin

what type of device is the USB "key"?  Flash memory? => Yes, I think so.

Comment 5 Greg Nichols 2007-02-06 16:09:35 UTC
Was the memory device plugged in when "hts plan" was run?
Note that you may need to remove the old plan and results first
so that hts creates a new one.




Comment 6 Danny Trinh 2007-02-06 16:22:07 UTC
After I "rm -f /var/hts/*", and rerun "hts plan", "hts print" sees USB device.
I think this issue resolved.



Note You need to log in before you can comment on or make changes to this bug.